MAIN = modele
SRC = $(MAIN).tex
CONTENT = content.tex
FIGDIR = figs
SIMPLEFIGS = $(FIGDIR)/figsimple
AUTODIR = $(FIGDIR)/autosimple
AUTOANIMDIR = $(FIGDIR)/autoanim
FIGANIMDIR = $(FIGDIR)/figanim

PDFDIR = CorTeX

# recuperation des noms des figures du rep de figures
# pour generer les .tex et .pstex dans le rep $(PDFDIR)
SIMPLEFIGURES=$(wildcard $(SIMPLEFIGS)/*.fig)
SFIG = $(SIMPLEFIGURES:$(SIMPLEFIGS)/%.fig=$(PDFDIR)/%.tex)
SIMPLEAUTOMATA=$(wildcard $(AUTODIR)/*.gastex) 
SAUTO = $(SIMPLEAUTOMATA:$(AUTODIR)/%.gastex=$(PDFDIR)/%.pdf)
AUTOANIM=$(wildcard $(AUTOANIMDIR)/*.gastex)
AUTOA =  $(AUTOANIM:$(AUTOANIMDIR)/%.gastex=$(PDFDIR)/%.pdftex_t)
FIGANIM=$(wildcard $(FIGANIMDIR)/*.fig)
FIGA =  $(FIGANIM:$(FIGANIMDIR)/%.fig=$(PDFDIR)/%.pdftex_t)
all : $(MAIN).pdf 

$(MAIN).pdf : $(SRC) $(CONTENT) $(SFIG) $(SAUTO) $(FIGA) $(AUTOA)
	(cd $(PDFDIR); pdflatex ../$(MAIN).tex)

print : $(TO_PRINT).pdf

#figures simples
$(PDFDIR)/%.tex : $(SIMPLEFIGS)/%.fig
	fig2dev -Lpstex  $< > $(subst .tex,.ps,$@) 
	epstopdf $(subst .tex,.ps,$@) >& /dev/null 
	fig2dev -Lpstex_t  -p $(subst .tex,.pdf,$@) $< > $@
	-rm -f $(subst .tex,.ps,$@)

#figures gastex simples
$(PDFDIR)/%.pdf : $(AUTODIR)/%.gastex
	gastex2pdf $< -o $@ -po usenames color -p mongastexslides

#figures fig animees avec/sans fichier de script
$(PDFDIR)/%.pdftex_t : $(FIGANIMDIR)/%.fig
	splixfig $< -o $@ -s $(subst .fig,.script,$<)

#figures gastex animees
$(PDFDIR)/%.pdftex_t : $(AUTOANIMDIR)/%.gastex
	gastex2beamer $< -o $@

bib : $(PDFDIR)/$(MAIN).aux
	(cd $(PDFDIR); bibtex $(MAIN))

clean : 
	(rm *.bak ; rm *~ ; rm *.log \
        rm $(PDFDIR)/$(MAIN).log ; rm $(PDFDIR)/$(MAIN).out ; rm $(PDFDIR)/$(MAIN).snm\
        rm $(PDFDIR)/$(MAIN).aux ; rm $(PDFDIR)/*.pdf ; rm $(PDFDIR)/$(MAIN).toc\
        rm $(PDFDIR)/$(MAIN).blg ; rm $(PDFDIR)/$(MAIN).bbl\
	rm $(PDFDIR)/*.pdftex_t ; rm $(PDFDIR)/*.pstex ; rm $(PDFDIR)/*.tex \
        rm $(MAIN).aux;  rm $(MAIN).log ;rm $(PDFDIR)/$(MAIN).nav )

cleanfigs :
	(rm $(PDFDIR)/*.pdf ; rm $(PDFDIR)/*.tex ; rm $(PDFDIR)/*.pdftex_t\
	rm $(PDFDIR)/*.pstex)